## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.MultiOutputWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.MultiOutputWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  StreamCharBuffer

    static final class StreamCharBuffer.MultiOutputWriter

extends Writer

delegates to several writers, used in "connectTo" mode.

Field Summary
`(package private) List<StreamCharBuffer.ConnectedWriter>` `writers`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`StreamCharBuffer.MultiOutputWriter(List<StreamCharBuffer.ConnectedWriter> writers)`

Method Summary
`Writer` `append(CharSequence csq, int start, int end)`
`void` `close()`
`void` `flush()`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(String str, int off, int len)`

Methods inherited from class java.io.Writer
`append, append, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writers

    final List<StreamCharBuffer.ConnectedWriter> writers

Constructor Detail

### StreamCharBuffer.MultiOutputWriter

    public StreamCharBuffer.MultiOutputWriter(List<StreamCharBuffer.ConnectedWriter> writers)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### append

    public Writer append(CharSequence csq,
                         int start,
                         int end)
                  throws IOException

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

Copyright (c) 2005-2009 The Grails project